import { ElementRef, EventEmitter, OnInit, TemplateRef } from '@angular/core';
export declare class NgMentionsListComponent implements OnInit {
    items: any[];
    itemTemplate: TemplateRef<any>;
    displayTransform: (..._: string[]) => string;
    textAreaElement: HTMLTextAreaElement;
    activeIndex: number;
    readonly itemSelected: EventEmitter<any>;
    get selectedItem(): any;
    defaultItemTemplate: TemplateRef<any>;
    list: ElementRef;
    show: boolean;
    dropUp: boolean;
    get top(): string;
    get left(): string;
    get noItems(): boolean;
    private _top;
    private _left;
    ngOnInit(): void;
    onItemClick(event: MouseEvent, activeIndex: number, item: any): void;
    selectFirstItem(): void;
    selectPreviousItem(): void;
    selectNextItem(): void;
    selectLastItem(): void;
    position(): void;
    resetScroll(): void;
    transformItem(item: any): any;
    private get adjustTop();
    private scrollToActiveItem;
}
